/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.telenor.jpa.jpaexample5mapping2;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import rs.telenor.jpa.jpaexample5mapping2.domain.KupacEntity;
import rs.telenor.jpa.jpaexample5mapping2.domain.MestoEntity;
import rs.telenor.jpa.jpaexample5mapping2.service.KupacEntityService;

/**
 *
 * @author user
 */
public class Main {

    private final EntityManagerFactory emf;
    private final EntityManager em;
    private final KupacEntityService kupacEntityService;

    public Main() {
        emf = Persistence.createEntityManagerFactory("jpa0PU");
        em = emf.createEntityManager();
        kupacEntityService = new KupacEntityService(em);

    }

    public static void main(String[] args) {
        Main main = new Main();
//        main.saveKupac("k1", "a1", 1l, "Grad 1");
        main.updateKupac(19l, "k1", "a1", 2l, "Grad 2");
    }

    private void saveKupac(String naziv, String adresa, Long ptt, String grad) {
        KupacEntity kupacEntity = new KupacEntity(naziv, adresa);

        MestoEntity mestoEntity = new MestoEntity(ptt, grad);
        kupacEntity = kupacEntityService.save(kupacEntity, mestoEntity);
        System.out.println("===============================saveKupac========================");
        System.out.println(kupacEntity);

    }

    private void updateKupac(Long id, String naziv, String adresa, Long ptt, String grad) {
        KupacEntity kupacEntity = new KupacEntity(id,naziv, adresa);

        MestoEntity mestoEntity = new MestoEntity(ptt, grad);
        kupacEntity = kupacEntityService.update(kupacEntity, mestoEntity);
        System.out.println("===============================saveKupac========================");
        System.out.println(kupacEntity);

    }

}
