/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.telenor.jpa.jpaexample5mapping3;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import rs.telenor.jpa.jpaexample5mapping3.domain.KupacEntity;
import rs.telenor.jpa.jpaexample5mapping3.domain.KupacPLEntity;
import rs.telenor.jpa.jpaexample5mapping3.domain.MestoEntity;
import rs.telenor.jpa.jpaexample5mapping3.service.KupacEntityService;

/**
 *
 * @author user
 */
public class Main {

    private final EntityManagerFactory emf;
    private final EntityManager em;
    private final KupacEntityService kupacEntityService;

    public Main() {
        emf = Persistence.createEntityManagerFactory("jpa0PU");
        em = emf.createEntityManager();
        kupacEntityService = new KupacEntityService(em);

    }

    public static void main(String[] args) {
        Main main = new Main();
        main.savePLKupac("pib1", "k1", "a1", 2l, "Grad 2");
    }

    private void savePLKupac(String pib, String naziv, String adresa, Long ptt, String grad) {
        KupacEntity kupacEntity = new KupacPLEntity(pib,naziv, adresa);

        MestoEntity mestoEntity = new MestoEntity(ptt, grad);
        kupacEntity = kupacEntityService.savePL((KupacPLEntity) kupacEntity, mestoEntity);
        System.out.println("===============================savePLKupac========================");
        System.out.println(kupacEntity);

    }

}
