/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.telenor.jpa.jpaexample5mapping3.service;

import javax.persistence.EntityManager;
import rs.telenor.jpa.jpaexample5mapping3.domain.KupacEntity;
import rs.telenor.jpa.jpaexample5mapping3.domain.KupacPLEntity;
import rs.telenor.jpa.jpaexample5mapping3.domain.MestoEntity;

/**
 *
 * @author user
 */
public class KupacEntityService {

    private final EntityManager em;

    public KupacEntityService(final EntityManager em) {
        this.em = em;
    }

    public KupacEntity savePL(KupacPLEntity kupacPLEntity, MestoEntity mestoEntity) {
        em.getTransaction().begin();
        MestoEntity existingEntity = em.find(MestoEntity.class, mestoEntity.getPttID());
        if (existingEntity != null) {
            kupacPLEntity.setMestoPtt(mestoEntity);
            em.persist(kupacPLEntity);
        } else {
            em.persist(mestoEntity);
            kupacPLEntity.setMestoPtt(mestoEntity);
            em.persist(kupacPLEntity);
        }
        em.getTransaction().commit();
        return kupacPLEntity;
    }
  
}
