/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.telenor.jpa.jpaexample1;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import rs.telenor.jpa.jpaexample1.entity.UserEntity;
import rs.telenor.jpa.jpaexample1.service.UserEntityService;

/**
 *
 * @author user
 */
public class Main {

    private final EntityManagerFactory emf;
    private final EntityManager em;
    private final UserEntityService userEntityService;

    public Main() {
        emf = Persistence.createEntityManagerFactory("jpa0PU");
        em = emf.createEntityManager();
        userEntityService = new UserEntityService(em);
    }

    public static void main(String[] args) {
        Main main = new Main();

        //save user
        main.saveUser(33l, null, "Markovic");
        
        //find user
        //main.findUserById(1l);
        
        //remove
        //main.removeUser(1l);
    }

    private void saveUser(Long id, String firstName, String lastName) {
        UserEntity userEntity = new UserEntity(id, firstName, lastName);
        userEntity = userEntityService.save(userEntity);
        System.out.println("===============================saveUser========================");
        System.out.println(userEntity);
    }

    private void findUserById(Long id) {
        UserEntity userEntity = userEntityService.findById(id);
        System.out.println("===============================findUserById========================");
        System.out.println(userEntity);
    }
    
    private void removeUser(Long id) {
        UserEntity userEntity = userEntityService.remove(id);
        System.out.println("===============================removeUser========================");
        System.out.println(userEntity);
    }

}
