/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.telenor.jpa.jpaexample4.service;

import javax.persistence.EntityManager;
import rs.telenor.jpa.jpaexample4.domen.UserEntity;
import rs.telenor.jpa.jpaexample4.domen.UserProfile;

/**
 *
 * @author user
 */
public class UserEntityService {

    private final EntityManager em;

    public UserEntityService(final EntityManager em) {
        this.em = em;
    }

//    Varijanta 1.
//    public UserEntity save(UserEntity userEntity, UserProfile userProfile) {
//        em.getTransaction().begin();        
//        userEntity.setUserProfile(userProfile);        
//        em.persist(userEntity);
//        em.getTransaction().commit();
//        return userEntity;
//    }
    
    public UserEntity save(UserEntity userEntity, UserProfile userProfile) {
        em.getTransaction().begin();
        em.persist(userProfile);
        em.persist(userEntity);
        
        userEntity.setUserProfile(userProfile);       
        em.getTransaction().commit();
        return userEntity;
    }

    public UserEntity findById(Long id) {
        return em.find(UserEntity.class, id);
    }

    public UserEntity remove(Long id) {
        UserEntity userEntity = em.find(UserEntity.class, id);
        if (userEntity != null) {
            em.getTransaction().begin();
            em.remove(userEntity);
            em.getTransaction().commit();
            return userEntity;
        }
        return null;

    }

}
