/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.telenor.jpa.jpaexample5mapping2.service;

import javax.persistence.EntityManager;
import rs.telenor.jpa.jpaexample5mapping2.domain.KupacEntity;
import rs.telenor.jpa.jpaexample5mapping2.domain.MestoEntity;

/**
 *
 * @author user
 */
public class KupacEntityService {

    private final EntityManager em;

    public KupacEntityService(final EntityManager em) {
        this.em = em;
    }

    public KupacEntity save(KupacEntity kupacEntity, MestoEntity mestoEntity) {
        em.getTransaction().begin();
        MestoEntity existingEntity = em.find(MestoEntity.class, mestoEntity.getPttID());
        if (existingEntity != null) {
            kupacEntity.setMestoPtt(mestoEntity);
            em.persist(kupacEntity);
        } else {
            em.persist(mestoEntity);
            kupacEntity.setMestoPtt(mestoEntity);
            em.persist(kupacEntity);
        }
        em.getTransaction().commit();
        return kupacEntity;
    }

    public KupacEntity update(KupacEntity kupacEntity, MestoEntity mestoEntity) {
        em.getTransaction().begin();

        KupacEntity existingKupacEntity = em.find(KupacEntity.class, kupacEntity.getId());
        if (existingKupacEntity != null) {
            MestoEntity existingEntity = em.find(MestoEntity.class, mestoEntity.getPttID());
            if (existingEntity == null){
                em.persist(mestoEntity);
                existingKupacEntity.setMestoPtt(mestoEntity);                
            } else {               
                existingKupacEntity.setMestoPtt(existingEntity);                
            }
        }else{
            //ne postoji kupca, baci izuzetak ili slicno
        }

        em.getTransaction().commit();
        return existingKupacEntity;
    }

}
